| Home | Libraries | People | FAQ | More

##### basic_static_string::append (1 of 9 overloads)

Append to the string.

###### Synopsis

    basic_static_string&
    append(
        size_type count,
        value_type ch);

###### Description

Appends `count` copies of `ch` to the end of the string.

###### Exception Safety

Strong guarantee.

###### Return Value

`*this`

###### Parameters

Name | Description
--- | ---
`count` | The number of characters to append.
`ch` | The character to append.

###### Exceptions

Type | Thrown On
--- | ---
`std::length_error` | `size() + count > max_size()`